> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Play 应用交集实时数据

> 此端点将提供一个关键词列表，其中 `app_ids` 对象中指定的移动应用在同一 Google Play S...



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/google/app_intersection/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/app_intersection/live:
    post:
      summary: Google Play 应用交集实时数据
      description: 此端点将提供一个关键词列表，`app_ids` 对象中指定的移动应用在同一 Google Play SERP 中均有排名。
      operationId: post_dataforseo_dataforseo_labs_google_app_intersection_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                app_ids:
                  type: object
                  description: >-
                    目标应用的 ids 必填字段 Google Play 上目标移动应用的 ID；可以在 Google Play
                    所列每个应用的 URL 中找到该 ID；示例：在 URL
                    https://play.google.com/store/apps/details?id=org.telegram.messenger
                    中，id 为 org.telegram.messenger；；ids 应按以下方式指定："app_ids": {
                    "1": "org.telegram.messenger", "2":
                    "com.zhiliaoapp.musically" } 如果在此处指定单个 ID，API
                    将仅返回一个应用的结果；此对象中最多可以指定 20 个应用 ID
                location_name:
                  type: string
                  description: >-
                    位置的完整名称。如果未指定 location_code，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取包含 location_name 的可用位置列表。注意：此端点目前仅支持美国位置。示例：United
                    States
                location_code:
                  type: integer
                  description: >-
                    位置代码。如果未指定 location_name，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_code 的可用位置列表；注意：此端点目前仅支持美国位置；示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称。如果未指定 language_code，则此字段为必填字段。注意：必须指定 language_name
                    或 language_code 之一。可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取包含 language_name 的可用语言列表；注意：此端点目前仅支持英语；示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码。如果未指定 language_name，则为必填字段。注意：必须指定 language_name 或
                    language_code 之一。您可以通过单独请求
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages，获取可用语言及其
                    language_code 的列表；注意：此端点目前仅支持英语。示例：en
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组。可选字段。您可以同时添加多个过滤器（最多 8 个）；应在条件之间设置逻辑运算符
                    and、or。支持以下运算符：,、,、>、>=、=、,、in、not_in。示例：["keyword_data.keyword_info.search_volume",">",500]
                    [["keyword_data.keyword_info.search_volume","",500],"and",[intersection_result.382617920.rank_group",">=","10"]]。有关过滤器的更多信息，请参阅
                    Dataforseo Labs – Filters 或此帮助中心指南
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则 可选字段 您可以使用与 filters 数组中相同的值对结果排序；可用的排序类型：asc –
                    结果将按升序排列；desc –
                    结果将按降序排列；应使用逗号指定排序类型；示例：["intersection_result.382617920.rank_absolute,asc"]
                    注意：单个请求中最多可以设置三条排序规则；应使用逗号分隔多条排序规则；示例：["intersection_result.382617920.rank_absolute,desc","keyword_data.keyword_info.search_volume,asc"]
                    默认规则：["keyword_data.keyword_info.search_volume,desc"] 注意：如果
                    item_types 数组包含 organic 以外的项目类型，结果将按数组中的第一个项目类型排序
                limit:
                  type: integer
                  description: 返回的关键词最大数量，可选字段，默认值：100，最大值：1000
                offset:
                  type: integer
                  description: >-
                    返回关键词的结果数组中的偏移量，可选字段，默认值：0。如果指定值
                    10，结果数组中的前十个关键词将被省略，并提供后续关键词的数据
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - app_ids
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.app_ids:
                    type: object
                    description: POST 数组中的应用 ID
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含与 app_id 字段中指定应用的排名关键词相关的数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_data:
                    type: object
                    description: 返回关键词的关键词数据
                  tasks.result.items.keyword_data.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_data.keyword:
                    type: string
                    description: 返回的关键词
                  tasks.result.items.keyword_data.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.items.keyword_data.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.items.keyword_data.keyword_info:
                    type: object
                    description: 返回关键词的关键词信息
                  tasks.result.items.keyword_data.keyword_info.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_data.keyword_info.last_updated_time:
                    type: string
                    description: >-
                      keyword 数据更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.keyword_data.keyword_info.competition:
                    type: number
                    description: >-
                      competition 表示与给定关键词相关的相对竞争程度；该值基于 Google Ads 数据，范围为 0 到
                      1（含端点）；在此情况下将等于 null
                  tasks.result.items.keyword_data.keyword_info.competition_level:
                    type: string
                    description: >-
                      竞争级别表示与给定关键词关联的相对竞争程度，仅适用于付费
                      SERP；可选值：LOW、MEDIUM、HIGH。如果竞争级别未知，则值为
                      null；有关此指标的更多信息，请参阅此帮助中心文章；在此情况下，将等于 null
                  tasks.result.items.keyword_data.keyword_info.cpc:
                    type: number
                    description: 每次点击费用，表示该关键词历史上每次点击的平均费用（USD）；在此情况下将等于 null
                  tasks.result.items.keyword_data.keyword_info.search_volume:
                    type: integer
                    description: 平均月搜索量表示给定关键词在 Google Play 上的（近似）搜索次数
                  tasks.result.items.keyword_data.keyword_info.low_top_of_page_bid:
                    type: number
                    description: >-
                      广告显示在搜索结果第一页顶部所需的最低出价，表示比广告得以展示的最低出价高约 20% 的值（基于 Google
                      Ads 的广告主统计数据）；该值可能因 POST 请求中指定的位置而异；在这种情况下，将等于 null
                  tasks.result.items.keyword_data.keyword_info.high_top_of_page_bid:
                    type: number
                    description: >-
                      广告在第一页顶部展示的最高出价，表示高于约 80% 的广告展示最低出价的值（基于 Google Ads
                      的广告主统计数据）。该值可能因 POST 请求中指定的位置而异；在这种情况下，该值将等于 null
                  tasks.result.items.keyword_data.keyword_info.categories:
                    type: array
                    items:
                      type: string
                    description: 产品和服务类别；你可以下载所有可能类别的完整列表；在此情况下，该值将等于 null
                  tasks.result.items.keyword_data.keyword_info.monthly_searches:
                    type: array
                    items:
                      type: string
                    description: 月度搜索量，表示此关键词在指定地理位置中（过去十二个月可用数据）的（近似）搜索次数；在此情况下，该值将等于 null
                  tasks.result.items.keyword_data.serp_info:
                    type: object
                    description: >-
                      SERP 数据。如果未在 POST 数组中将 include_serp_info 字段设置为
                      true，或者数据库中没有此关键词的 SERP 数据，则该值为 null
                  tasks.result.items.keyword_data.serp_info.se_type:
                    type: string
                    description: 搜索引擎类型；在 POST 请求中指定的搜索引擎类型；对于此端点，该字段等于 bing
                  tasks.result.items.keyword_data.serp_info.check_url:
                    type: string
                    description: 搜索引擎结果的直接 URL，可用于确认我们提供的结果是否准确
                  tasks.result.items.keyword_data.serp_info.serp_item_types:
                    type: array
                    items:
                      type: string
                    description: SERP 中的搜索结果类型；包含 SERP 中发现的搜索结果（items）类型；在此情况下将等于 null
                  tasks.result.items.keyword_data.serp_info.se_results_count:
                    type: string
                    description: 返回关键词的搜索结果数量
                  tasks.result.items.keyword_data.serp_info.last_updated_time:
                    type: string
                    description: >-
                      SERP 数据更新的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss +00:00”
                      示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.keyword_data.serp_info.previous_updated_time:
                    type: string
                    description: >-
                      SERP 数据最近一次更新之前的日期和时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-10-15 12:57:46 +00:00
                  tasks.result.items.intersection_result:
                    type: object
                    description: >-
                      包含返回关键词的 SERP 数据；设置任务时，您在 app_ids 对象中指定的每个应用 ID
                      的数据将分别通过独立数组提供；根据指定的应用 ID 数量，可包含 1 到 20 个分别命名的数组
                  tasks.result.items.intersection_result.1:
                    type: object
                    description: >-
                      包含相应应用 ID 的 SERP 数据；字段名称根据 app_ids 对象中的应用 ID 数量在 1 到 20
                      范围内变化；可能的 SERP 元素类型：google_play_search_organic
                  tasks.result.items.intersection_result.1.type:
                    type: string
                    description: SERP 元素的类型，可选值：google_play_search_organic
                  tasks.result.items.intersection_result.1.rank_group:
                    type: integer
                    description: 在 type 值相同的元素组内的位置；type 值不同的元素位置不会计入 rank_group。
                  tasks.result.items.intersection_result.1.rank_absolute:
                    type: integer
                    description: SERP 中的绝对排名，即该元素在 SERP 所有元素中的绝对位置
                  tasks.result.items.intersection_result.1.position:
                    type: string
                    description: 元素在 SERP 中的对齐方式，可取以下值：left、right
                  tasks.result.items.intersection_result.1.app_id:
                    type: string
                    description: 应用 ID
                  tasks.result.items.intersection_result.1.title:
                    type: string
                    description: 应用标题
                  tasks.result.items.intersection_result.1.url:
                    type: string
                    description: Google Play 上的应用页面 URL
                  tasks.result.items.intersection_result.1.icon:
                    type: string
                    description: 应用图标的 URL
                  tasks.result.items.intersection_result.1.reviews_count:
                    type: integer
                    description: 应用的评论总数
                  tasks.result.items.intersection_result.1.rating:
                    type: object
                    description: 应用的平均评分
                  tasks.result.items.intersection_result.1.rating.rating_type:
                    type: string
                    description: 评级类型可取以下值：Max5
                  tasks.result.items.intersection_result.1.rating.value:
                    type: number
                    description: 评级值
                  tasks.result.items.intersection_result.1.rating.votes_count:
                    type: integer
                    description: 在这种情况下，反馈数量的值将为 null
                  tasks.result.items.intersection_result.1.rating.rating_max:
                    type: integer
                    description: rating_type 的最大值；Max5 的最大值为 5
                  tasks.result.items.intersection_result.1.is_free:
                    type: boolean
                    description: 指示应用是否免费
                  tasks.result.items.intersection_result.1.is_free.current:
                    type: number
                    description: 当前价格是指元素中所示的当前价格
                  tasks.result.items.intersection_result.1.is_free.regular:
                    type: number
                    description: 常规价格是指元素中标示的常规价格
                  tasks.result.items.intersection_result.1.is_free.max_value:
                    type: number
                    description: 最高价格是指元素中标示的最高价格
                  tasks.result.items.intersection_result.1.is_free.currency:
                    type: string
                    description: 所列价格的货币，即应用于该价格的货币 ISO 代码
                  tasks.result.items.intersection_result.1.is_free.is_price_range:
                    type: boolean
                    description: 价格以区间形式提供，指示价格是否以区间形式提供
                  tasks.result.items.intersection_result.1.is_free.displayed_price:
                    type: string
                    description: 结果中的价格字符串，即结果中提供的原始价格字符串
                  tasks.result.items.intersection_result.1.developer:
                    type: string
                    description: 应用开发者的名称
                  tasks.result.items.intersection_result.1.developer_url:
                    type: object
                    description: Google Play 开发者页面的 URL
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````